
Smart Proxy - Bug #2259

trusted_hosts with passenger provides a 500 Internal Error

02/27/2013 04:22 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee:    

Category: Security   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When using passenger for proxy and using trusted_hosts,

I get the following a 500 error code and the stack trace:

http://pastebin.com/FSLafhwV

(even with 'HostnameLookups On' on apache configuration)

Associated revisions

Revision 04148e79 - 03/21/2014 03:29 PM - Riley Shott 

Fixes #2259 - trusted hosts work with passenger

History

#1 - 03/19/2014 11:04 AM - Dominic Cleal

- Description updated

- Category set to Security

- Status changed from New to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/137

#2 - 03/19/2014 11:04 AM - Dominic Cleal

- Target version set to 1.9.0

#3 - 03/21/2014 03:31 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#4 - 03/21/2014 03:52 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 04148e799c23d7b2024dfb812d04f803f80449da.
